[recipe] removed pin_compatible for docopt

3 jobs for 17-upgrade-to-pytorch-1-0-1 in 46 minutes and 56 seconds (queued for 2 seconds)
Status Job ID Name Coverage
  Build
canceled #164204
docker
build_linux_36

00:44:24

failed #163608
macosx
build_macosx_36

00:02:32

failed #163607
docker
build_linux_36

00:02:48

 
Name Stage Failure
failed
build_macosx_36 Build
    - pytorch {{ pin_compatible('pytorch') }}
File "/Users/gitlab/builds/f6f95b82/0/bob/bob.learn.pytorch/miniconda/lib/python3.7/site-packages/conda_build/jinja_context.py", line 230, in pin_compatible
pins, _, _ = get_env_dependencies(m, 'host', m.config.variant)
File "/Users/gitlab/builds/f6f95b82/0/bob/bob.learn.pytorch/miniconda/lib/python3.7/site-packages/conda_build/render.py", line 136, in get_env_dependencies
channel_urls=tuple(m.config.channel_urls))
File "/Users/gitlab/builds/f6f95b82/0/bob/bob.learn.pytorch/miniconda/lib/python3.7/site-packages/conda_build/environ.py", line 751, in get_install_actions
raise DependencyNeedsBuildingError(exc, subdir=subdir)
conda_build.exceptions.DependencyNeedsBuildingError: Unsatisfiable dependencies for platform osx-64: {'pytorch=1.0.1', 'torchvision=0.2.1'}
ERROR: Job failed: exit status 1